Name:           perl-Template-Alloy
Version:        1.020
Release:        11%{?dist}
Summary:        Templating tool supporting multiple markup formats 
# see lib/Template/Alloy.pod
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Template-Alloy/
Source0:        http://www.cpan.org/authors/id/R/RH/RHANDOM/Template-Alloy-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl-interpreter 
BuildRequires:  perl-generators
BuildRequires:  perl(ExtUtils::MakeMaker) 
# Run-time:
BuildRequires:  perl(base)
BuildRequires:  perl(Carp)
BuildRequires:  perl(constant)
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(Digest::MD5) >= 1
BuildRequires:  perl(Exporter)
BuildRequires:  perl(File::Path)
BuildRequires:  perl(JSON)
BuildRequires:  perl(overload)
BuildRequires:  perl(Storable)
BuildRequires:  perl(strict)
BuildRequires:  perl(vars)
BuildRequires:  perl(warnings)
# Optional run-time:
BuildRequires:  perl(Encode)
BuildRequires:  perl(Scalar::Util)
# Tests:
BuildRequires:  perl(Taint::Runtime)
BuildRequires:  perl(Template::Filters)
BuildRequires:  perl(Template::Stash)
BuildRequires:  perl(Template::View)
BuildRequires:  perl(Test::More) 
# Optional tests:
BuildRequires:  perl(utf8)
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       perl(Carp)
Requires:       perl(Data::Dumper)
Requires:       perl(Digest::MD5) >= 1
Requires:       perl(File::Path)
Requires:       perl(JSON)
Requires:       perl(overload)
Requires:       perl(Storable)

%{?perl_default_filter}

%description
"An alloy is a homogeneous mixture of two or more elements"
(http://en.wikipedia.org/wiki/Alloy).

Template::Alloy represents the mixing of features and capabilities from all of
the major mini-language based template systems (support for non-mini-language
based systems will happen eventually).  With Template::Alloy you can use your
favorite template interface and syntax and get features from each of the other
major template systems.  And Template::Alloy is fast - whether you're using
mod_perl, CGI, or running from the command line.  There is even
Template::Alloy::XS for getting a little more speed when that is necessary.

%prep
%setup -q -n Template-Alloy-%{version}
find . -type f -exec chmod -c -x {} +

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} \;
%{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes README samples/
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.020-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.020-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Mon Jun 05 2017 Jitka Plesnikova <jplesnik@redhat.com> - 1.020-9
- Perl 5.26 rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.020-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon May 16 2016 Jitka Plesnikova <jplesnik@redhat.com> - 1.020-7
- Perl 5.24 rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.020-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.020-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 06 2015 Jitka Plesnikova <jplesnik@redhat.com> - 1.020-4
- Perl 5.22 rebuild

* Fri Aug 29 2014 Jitka Plesnikova <jplesnik@redhat.com> - 1.020-3
- Perl 5.20 rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.020-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Sep 23 2013 Petr Pisar <ppisar@redhat.com> - 1.020-1
- 1.020 bump

* Mon Sep 09 2013 Petr Pisar <ppisar@redhat.com> - 1.019-1
- 1.019 bump

* Fri Aug 23 2013 Jitka Plesnikova <jplesnik@redhat.com> - 0.018-1
- 0.018 bump, bug fixes
- Specify all dependencies

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.016-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Jul 27 2013 Petr Pisar <ppisar@redhat.com> - 1.016-7
- Perl 5.18 rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.016-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.016-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jun 21 2012 Petr Pisar <ppisar@redhat.com> - 1.016-4
- Perl 5.16 rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.016-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Jul 19 2011 Petr Sabata <contyk@redhat.com> - 1.016-2
- Perl mass rebuild

* Sat May 14 2011 Iain Arnell <iarnell@gmail.com> 1.016-1
- update to latest upstream version

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.013-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Dec 22 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.013-7
- 661697 rebuild for fixing problems with vendorach/lib

* Sun Dec 12 2010 Iain Arnell <iarnell@gmail.com> 1.013-6
- use perl_default_filter
- clean up spec for modern rpmbuild

* Thu May 06 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.013-5
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 1.013-4
- rebuild against perl 5.10.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.013-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.013-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Oct 23 2008 Chris Weyl <cweyl@alumni.drew.edu> 1.013-1
- update to 1.013

* Sat May 31 2008 Chris Weyl <cweyl@alumni.drew.edu> 1.012-1
- update to 1.012

* Wed Mar 05 2008 Tom "spot" Callaway <tcallawa@redhat.com> 1.008-2
- rebuild for new perl

* Mon Nov 05 2007 Chris Weyl <cweyl@alumni.drew.edu> 1.008-1
- update to 1.008
- add br on perl(Digest::MD5)

* Wed Oct 24 2007 Chris Weyl <cweyl@alumni.drew.edu> 1.007-3
- bump

* Wed Oct 24 2007 Chris Weyl <cweyl@alumni.drew.edu> 1.007-2
- update summary tag

* Mon Oct 15 2007 Chris Weyl <cweyl@alumni.drew.edu> 1.007-1
- update to 1.007
- update license tag: GPL -> GPL+

* Thu Aug 09 2007 Chris Weyl <cweyl@alumni.drew.edu> 1.006-1
- Specfile autogenerated by cpanspec 1.71.
